Regarding errors with denoise in MiSeq runs

Hi all,
I am trying to get past through the denoise part. I have a MiSeq V4 sequencing done and I am decided arbitarily (more from FASTQC) to use 130 as my truncating length. I have also tried with 150. This is my command:

qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end2.qza --p-trim-left-r 0 --p-trim-left-f 0 --p-trunc-len-f 130 --p-trunc-len-r 130 --o-representative-sequences req-seqs.qza --o-table table2.qza --p-n-threads 20 --o-denoising-stats
STATS_FILE2.qza

And the error I run into:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp1hg9eoac/forward /tmp/tmp1hg9eoac/reverse /tmp/tmp1hg9eoac/output.tsv.biom /tmp/tmp1hg9eoac/track.tsv /tmp/tmp1hg9eoac/filt_f /tmp/tmp1hg9eoac/filt_r 150 150 0 0 2.0 2.0 2 consensus 1.0 20 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering Error in names(answer) <- names1 :
    ‘names’ attribute [4] must be the same length as the vector [3]
    Execution halted
    Traceback (most recent call last):
    File “anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “anaconda3/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp1hg9eoac/forward’, ‘/tmp/tmp1hg9eoac/reverse’, ‘/tmp/tmp1hg9eoac/output.tsv.biom’, ‘/tmp/tmp1hg9eoac/track.tsv’, ‘/tmp/tmp1hg9eoac/filt_f’, ‘/tmp/tmp1hg9eoac/filt_r’, ‘150’, ‘150’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘20’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “anaconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Can you please help me with this? Looks like denoising is the common step for error.

Thanks,
Pamela

Welcome to the forum, @Pnmrc!

I did a quick search :mag: on this forum for your error:

I suspect it’s a cryptic out-of-memory error, caused by running this command with many cores.

Try re-running with fewer cores, and let us know how it goes!

Best,
Chris :rabbit2:

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.